package cn.com.poc.writing.convert;	

import cn.com.poc.writing.model.BizAiWritingDialoguesRecordModel;
import cn.com.poc.writing.entity.BizAiWritingDialoguesRecordEntity;
import cn.com.poc.writing.dto.BizAiWritingDialoguesRecordDto;


public class BizAiWritingDialoguesRecordConvert {

    public static BizAiWritingDialoguesRecordEntity modelToEntity(BizAiWritingDialoguesRecordModel model){
        BizAiWritingDialoguesRecordEntity entity = new BizAiWritingDialoguesRecordEntity();
        entity.setId(model.getId());
        entity.setRole(model.getRole());
        entity.setAgentId(model.getAgentId());
        entity.setDialogsId(model.getDialogsId());
        entity.setMemberId(model.getMemberId());
        entity.setContent(model.getContent());
        entity.setDocumentTitle(model.getDocumentTitle());
        entity.setTimestamp(model.getTimestamp());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        entity.setReasoningContent(model.getReasoningContent());
        entity.setFileUrl(model.getFileUrl());
        return entity;
    }

    public static BizAiWritingDialoguesRecordModel entityToModel(BizAiWritingDialoguesRecordEntity entity){
        BizAiWritingDialoguesRecordModel model = new BizAiWritingDialoguesRecordModel();
        model.setId(entity.getId());
        model.setRole(entity.getRole());
        model.setAgentId(entity.getAgentId());
        model.setDialogsId(entity.getDialogsId());
        model.setMemberId(entity.getMemberId());
        model.setContent(entity.getContent());
        model.setDocumentTitle(entity.getDocumentTitle());
        model.setTimestamp(entity.getTimestamp());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        model.setReasoningContent(entity.getReasoningContent());
        model.setFileUrl(entity.getFileUrl());
        return model;
    }
    
    public static BizAiWritingDialoguesRecordDto entityToDto(BizAiWritingDialoguesRecordEntity entity){
        BizAiWritingDialoguesRecordDto dto = new BizAiWritingDialoguesRecordDto();
        dto.setId(entity.getId());
        dto.setRole(entity.getRole());
        dto.setAgentId(entity.getAgentId());
        dto.setDialogsId(entity.getDialogsId());
        dto.setMemberId(entity.getMemberId());
        dto.setContent(entity.getContent());
        dto.setDocumentTitle(entity.getDocumentTitle());
        dto.setTimestamp(entity.getTimestamp());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        dto.setReasoningContent(entity.getReasoningContent());
        dto.setFileUrl(entity.getFileUrl());
        return dto;
    }

    public static BizAiWritingDialoguesRecordEntity dtoToEntity(BizAiWritingDialoguesRecordDto dto){
        BizAiWritingDialoguesRecordEntity entity = new BizAiWritingDialoguesRecordEntity();
        entity.setId(dto.getId());
        entity.setRole(dto.getRole());
        entity.setAgentId(dto.getAgentId());
        entity.setDialogsId(dto.getDialogsId());
        entity.setMemberId(dto.getMemberId());
        entity.setContent(dto.getContent());
        entity.setDocumentTitle(dto.getDocumentTitle());
        entity.setTimestamp(dto.getTimestamp());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        entity.setReasoningContent(dto.getReasoningContent());
        entity.setFileUrl(dto.getFileUrl());
        return entity;
    }
}